<?xml version="1.0" encoding="utf-8"?>
<!--
  Copyright 2024 The Android Open Source Project

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
-->
<layer-list xmlns:android="http://schemas.android.com/apk/res/android">
    <item
        android:id="@android:id/background"
        android:top="@dimen/car_ui_seekbar_track_vertical_padding"
        android:bottom="@dimen/car_ui_seekbar_track_vertical_padding">
        <shape android:shape="rectangle">
            <corners android:radius="@dimen/car_ui_seekbar_thumb_outer_radius" />
            <size android:height="@dimen/car_ui_seekbar_track_height" />
            <solid android:color="@color/car_ui_seekbar_track_background" />
        </shape>
    </item>
    <item
        android:id="@android:id/secondaryProgress"
        android:top="@dimen/car_ui_seekbar_track_vertical_padding"
        android:bottom="@dimen/car_ui_seekbar_track_vertical_padding">
        <scale android:scaleWidth="100%">
            <shape android:shape="rectangle">
                <corners android:radius="@dimen/car_ui_seekbar_thumb_outer_radius" />
                <size android:height="@dimen/car_ui_seekbar_track_height" />
                <solid android:color="@color/car_ui_seekbar_track_progress_secondary" />
            </shape>
        </scale>
    </item>
    <item
        android:id="@android:id/progress"
        android:top="@dimen/car_ui_seekbar_track_vertical_padding"
        android:bottom="@dimen/car_ui_seekbar_track_vertical_padding">
        <clip>
            <shape android:shape="rectangle">
                <corners android:radius="@dimen/car_ui_seekbar_thumb_outer_radius" />
                <size android:height="@dimen/car_ui_seekbar_track_height" />
                <solid android:color="@color/car_ui_seekbar_track_progress" />
            </shape>
        </clip>
    </item>
</layer-list>
